import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

const IndexView = () => import('../views/indexView.vue');
const HomeInfoView = () => import('../views/home/info.vue');
const gameInfoView = () => import('../views/game/info.vue');
const TestClientView = () => import('../views/test/client.vue');

export function createRouter () {
	return new Router({
		mode: "history",
		fallback: false,
		scrollBehavior: () => ({ y: 0 }),
		routes : [
			{ path: '/homeInfo', component: HomeInfoView },
			{ path: '/gameInfo/:pname', component: gameInfoView },
			{ path: '/testClient', component: TestClientView },
			{ path: '/', component: IndexView }
		]
	})
}
