import axios from 'axios'
import { 
    getHomeInfo,
    getVideoLive,
    getPlayerData
} from '../api'

export default {
    FETCH_HOMEINFO: ({ commit, dispatch, state}) => {
        return state.homeInfo
            ? Promise.resolve()
            : axios.all([getHomeInfo(), getVideoLive()])
            .then(axios.spread((res1, res2) => {
                commit('SET_HOMEINFO', {
                    homeInfo : res1.data
                })
                commit('SET_VIDEOLIVE', {
                    videoLive : res2.data.data
                })
            })) 
    },
    FETCH_PLAYER: ({ commit, dispatch, state}, { pname }) => {
        return state.players[pname]
            ? Promise.resolve(state.players[pname])
            : getPlayerData(pname).then(response => {
                commit('SET_PLAYER', {
                    playerName : pname,
                    player : response.data.result
                })
            })
    }
}