import Vue from 'vue'
import Vuex from 'vuex'
import actions from './actions'
import mutations from './mutations'
import getters from './getters'

Vue.use(Vuex)

/** 服务器名称 */
const serverMap = {
    "as" : "亚洲",
    "na" : "北美",
    "sea" : "东南亚",
    'eu' : '欧洲',
    'oc' : '澳洲',
    'sa' : '南美',
    'krjp' : '日韩'    
}

/** 游戏模式名称map */
const typeMap = {
    "solo" : "单人",
    "duo" : "双人",
    "squad" : "多人"
}

/** 武器分类映射表 */
const weaponMap = [{
    key : ['AssaultRifles'],
    name :  '突击步枪'
}, {
    key : ['DMRs','SniperRifles','Carbines'],
    name :  '狙击枪'
}, {
    key : ['LightMachineGuns','SubmachineGuns'],
    name :  '冲锋枪'
}, {
    key : ['Shotguns'],
    name :  '散弹枪'
}, {
    key : ['Pistols'],
    name :  '手枪'
}, {
    key : ['MeleeWeapons'],
    name :  '近战武器'
}, {
    key : ['Throwables'],
    name :  '投掷武器'
}, {
    key : ['Bows'],
    name :  '其他'
}]

export function createStore () {
	return new Vuex.Store({
		state : {
			serverMap :serverMap,
			typeMap : typeMap,
			weaponMap : weaponMap,
			activeType: null,
			homeInfo: null,
			videoLive: null,
			players: {}
		},
		actions,
		mutations,
		getters
	})
}
